/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022DS01V02.java

*

* Created on 13/03/09 12:31:29

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public interface Q02bITablaBDQ022DS01V02 {

    /** Method reset */

    public void reset();



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna);



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect();



    /** Method freeResources() 

    * Este método libera los recursos del DAO.

    */

    public void freeResources();



    /** Method freeResourcesNotConnection() 

    * Este método libera los recursos del DAO.

    */

    public void freeResourcesNotConnection();



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect();



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas);



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas);



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom();



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif();



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead();



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur);



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate();



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu);



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas);



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy();



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException ;



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException ;



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException;



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException;



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException;



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException;



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException;



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException;



    public void setQ022BT00_ID_GRUPO_WHERE(int valor);

    public void setQ022BT00_ID_GRUPO_WHERE(Integer valor);

    public void setQ022BT00_ID_GRUPO_MODIF(boolean valor);

    public void setQ022DT00_ID_CUES_WHERE(long valor);

    public void setQ022DT00_ID_CUES_WHERE(Long valor);

    public void setQ022DT00_ID_CUES_MODIF(boolean valor);

    public void setQ022DT00_IDEN_LICEN_WHERE(String valor);

    public void setQ022DT00_IDEN_LICEN_MODIF(boolean valor);

    public void setQ022DT00_FEC_ENT_WHERE(java.util.Date valor);

    public void setQ022DT00_FEC_ENT_MODIF(boolean valor);

    public void setQ022DT00_ESTADO_LICEN_WHERE(String valor);

    public void setQ022DT00_ESTADO_LICEN_MODIF(boolean valor);

    public void setQ022DT00_CAUSA_BAJA_WHERE(String valor);

    public void setQ022DT00_CAUSA_BAJA_MODIF(boolean valor);

    public void setQ022DT00_ENTI_WHERE(long valor);

    public void setQ022DT00_ENTI_WHERE(Long valor);

    public void setQ022DT00_ENTI_MODIF(boolean valor);

    public void setQ022DT00_TVIA_WHERE(String valor);

    public void setQ022DT00_TVIA_MODIF(boolean valor);

    public void setQ022DT00_CALLE_WHERE(long valor);

    public void setQ022DT00_CALLE_WHERE(Long valor);

    public void setQ022DT00_CALLE_MODIF(boolean valor);

    public void setQ022DT00_POR_CL_POR_WHERE(long valor);

    public void setQ022DT00_POR_CL_POR_WHERE(Long valor);

    public void setQ022DT00_POR_CL_POR_MODIF(boolean valor);

    public void setQ022DT00_BLOQ_WHERE(String valor);

    public void setQ022DT00_BLOQ_MODIF(boolean valor);

    public void setQ022DT00_NUME_WHERE(int valor);

    public void setQ022DT00_NUME_WHERE(Integer valor);

    public void setQ022DT00_NUME_MODIF(boolean valor);

    public void setQ022DT00_BIS_WHERE(String valor);

    public void setQ022DT00_BIS_MODIF(boolean valor);

    public void setQ022DT00_CDIR_WHERE(String valor);

    public void setQ022DT00_CDIR_MODIF(boolean valor);

    public void setQ022DT00_RS_PROMO_WHERE(String valor);

    public void setQ022DT00_RS_PROMO_MODIF(boolean valor);

    public void setQ022DT00_CIF_DNI_WHERE(String valor);

    public void setQ022DT00_CIF_DNI_MODIF(boolean valor);

    public void setQ022DT00_MUN_PROV_WHERE(String valor);

    public void setQ022DT00_MUN_PROV_MODIF(boolean valor);

    public void setQ022DT00_MUN_MUNI_WHERE(String valor);

    public void setQ022DT00_MUN_MUNI_MODIF(boolean valor);

    public void setQ022DT00_ENTI_PRO_WHERE(long valor);

    public void setQ022DT00_ENTI_PRO_WHERE(Long valor);

    public void setQ022DT00_ENTI_PRO_MODIF(boolean valor);

    public void setQ022DT00_TVIA_PRO_WHERE(String valor);

    public void setQ022DT00_TVIA_PRO_MODIF(boolean valor);

    public void setQ022DT00_CALLE_PRO_WHERE(long valor);

    public void setQ022DT00_CALLE_PRO_WHERE(Long valor);

    public void setQ022DT00_CALLE_PRO_MODIF(boolean valor);

    public void setQ022DT00_POR_CL_POR_PRO_WHERE(long valor);

    public void setQ022DT00_POR_CL_POR_PRO_WHERE(Long valor);

    public void setQ022DT00_POR_CL_POR_PRO_MODIF(boolean valor);

    public void setQ022DT00_BLOQ_PRO_WHERE(String valor);

    public void setQ022DT00_BLOQ_PRO_MODIF(boolean valor);

    public void setQ022DT00_NUME_PRO_WHERE(int valor);

    public void setQ022DT00_NUME_PRO_WHERE(Integer valor);

    public void setQ022DT00_NUME_PRO_MODIF(boolean valor);

    public void setQ022DT00_BIS_PRO_WHERE(String valor);

    public void setQ022DT00_BIS_PRO_MODIF(boolean valor);

    public void setQ022DT00_CDIR_PRO_WHERE(String valor);

    public void setQ022DT00_CDIR_PRO_MODIF(boolean valor);

    public void setQ022DT00_TLF_WHERE(String valor);

    public void setQ022DT00_TLF_MODIF(boolean valor);

    public void setQ022DT00_MAIL_WHERE(String valor);

    public void setQ022DT00_MAIL_MODIF(boolean valor);

    public void setQ022DT00_FAX_WHERE(String valor);

    public void setQ022DT00_FAX_MODIF(boolean valor);

    public void setQ022DT00_WEB_WHERE(String valor);

    public void setQ022DT00_WEB_MODIF(boolean valor);

    public void setQ022DT00_PRESUPUESTO_WHERE(double valor);

    public void setQ022DT00_PRESUPUESTO_WHERE(Double valor);

    public void setQ022DT00_PRESUPUESTO_MODIF(boolean valor);

    public void setQ022DT00_F_INI_WHERE(java.util.Date valor);

    public void setQ022DT00_F_INI_MODIF(boolean valor);

    public void setQ022DT00_F_FIN_WHERE(java.util.Date valor);

    public void setQ022DT00_F_FIN_MODIF(boolean valor);

    public void setQ022DT00_TIPO_OBRA_WHERE(String valor);

    public void setQ022DT00_TIPO_OBRA_MODIF(boolean valor);

    public void setQ022DT00_USO_RES_WHERE(String valor);

    public void setQ022DT00_USO_RES_MODIF(boolean valor);

    public void setQ022DT00_ACTIVIDAD_WHERE(String valor);

    public void setQ022DT00_ACTIVIDAD_MODIF(boolean valor);

    public void setQ022DT00_NVN_WHERE(int valor);

    public void setQ022DT00_NVN_WHERE(Integer valor);

    public void setQ022DT00_NVN_MODIF(boolean valor);

    public void setQ022DT00_NVR_WHERE(int valor);

    public void setQ022DT00_NVR_WHERE(Integer valor);

    public void setQ022DT00_NVR_MODIF(boolean valor);

    public void setQ022DT00_NVL_WHERE(int valor);

    public void setQ022DT00_NVL_WHERE(Integer valor);

    public void setQ022DT00_NVL_MODIF(boolean valor);

    public void setQ022DT00_NVVPO_WHERE(int valor);

    public void setQ022DT00_NVVPO_WHERE(Integer valor);

    public void setQ022DT00_NVVPO_MODIF(boolean valor);

    public void setQ022DT00_NVVS_WHERE(int valor);

    public void setQ022DT00_NVVS_WHERE(Integer valor);

    public void setQ022DT00_NVVS_MODIF(boolean valor);

    public void setQ022DT00_NVPOT_WHERE(int valor);

    public void setQ022DT00_NVPOT_WHERE(Integer valor);

    public void setQ022DT00_NVPOT_MODIF(boolean valor);

    public void setQ022DT00_NVALDOT_WHERE(int valor);

    public void setQ022DT00_NVALDOT_WHERE(Integer valor);

    public void setQ022DT00_NVALDOT_MODIF(boolean valor);

    public void setQ022DT00_NVREAL_WHERE(int valor);

    public void setQ022DT00_NVREAL_WHERE(Integer valor);

    public void setQ022DT00_NVREAL_MODIF(boolean valor);

    public void setQ022DT00_NVVTMG_WHERE(int valor);

    public void setQ022DT00_NVVTMG_WHERE(Integer valor);

    public void setQ022DT00_NVVTMG_MODIF(boolean valor);

    public void setQ022DT00_NVVTME_WHERE(int valor);

    public void setQ022DT00_NVVTME_WHERE(Integer valor);

    public void setQ022DT00_NVVTME_MODIF(boolean valor);

    public void setQ022DT00_NTOT_WHERE(int valor);

    public void setQ022DT00_NTOT_WHERE(Integer valor);

    public void setQ022DT00_NTOT_MODIF(boolean valor);

    public void setQ022DT00_NSP45_WHERE(int valor);

    public void setQ022DT00_NSP45_WHERE(Integer valor);

    public void setQ022DT00_NSP45_MODIF(boolean valor);

    public void setQ022DT00_NSP75_WHERE(int valor);

    public void setQ022DT00_NSP75_WHERE(Integer valor);

    public void setQ022DT00_NSP75_MODIF(boolean valor);

    public void setQ022DT00_NSP90_WHERE(int valor);

    public void setQ022DT00_NSP90_WHERE(Integer valor);

    public void setQ022DT00_NSP90_MODIF(boolean valor);

    public void setQ022DT00_NSP120_WHERE(int valor);

    public void setQ022DT00_NSP120_WHERE(Integer valor);

    public void setQ022DT00_NSP120_MODIF(boolean valor);

    public void setQ022DT00_NSPT_WHERE(int valor);

    public void setQ022DT00_NSPT_WHERE(Integer valor);

    public void setQ022DT00_NSPT_MODIF(boolean valor);

    public void setQ022DT00_PRINC_USO_WHERE(String valor);

    public void setQ022DT00_PRINC_USO_MODIF(boolean valor);

    public void setQ022DT00_PU_ESPECIF_WHERE(String valor);

    public void setQ022DT00_PU_ESPECIF_MODIF(boolean valor);

    public void setQ022DT00_PRECIO_MED_WHERE(double valor);

    public void setQ022DT00_PRECIO_MED_WHERE(Double valor);

    public void setQ022DT00_PRECIO_MED_MODIF(boolean valor);

    public void setQ022DT00_OBS_WHERE(String valor);

    public void setQ022DT00_OBS_MODIF(boolean valor);

    public void setQ022DT00_NORA_T17_LOCALIZACION_WHERE(String valor);

    public void setQ022DT00_NORA_T17_LOCALIZACION_MODIF(boolean valor);

    /** Getter for property Q022BT00_ID_GRUPO_WHERE.

    * @return Value of property Q022BT00_ID_GRUPO_WHERE.

    */

    public Integer getQ022BT00_ID_GRUPO_WHERE();



    /** Getter for property Q022DT00_ID_CUES_WHERE.

    * @return Value of property Q022DT00_ID_CUES_WHERE.

    */

    public Long getQ022DT00_ID_CUES_WHERE();



    /** Getter for property Q022DT00_IDEN_LICEN_WHERE.

    * @return Value of property Q022DT00_IDEN_LICEN_WHERE.

    */

    public String getQ022DT00_IDEN_LICEN_WHERE();



    /** Getter for property Q022DT00_FEC_ENT_WHERE.

    * @return Value of property Q022DT00_FEC_ENT_WHERE.

    */

    public java.util.Date getQ022DT00_FEC_ENT_WHERE();



    /** Getter for property Q022DT00_ESTADO_LICEN_WHERE.

    * @return Value of property Q022DT00_ESTADO_LICEN_WHERE.

    */

    public String getQ022DT00_ESTADO_LICEN_WHERE();



    /** Getter for property Q022DT00_CAUSA_BAJA_WHERE.

    * @return Value of property Q022DT00_CAUSA_BAJA_WHERE.

    */

    public String getQ022DT00_CAUSA_BAJA_WHERE();



    /** Getter for property Q022DT00_ENTI_WHERE.

    * @return Value of property Q022DT00_ENTI_WHERE.

    */

    public Long getQ022DT00_ENTI_WHERE();



    /** Getter for property Q022DT00_TVIA_WHERE.

    * @return Value of property Q022DT00_TVIA_WHERE.

    */

    public String getQ022DT00_TVIA_WHERE();



    /** Getter for property Q022DT00_CALLE_WHERE.

    * @return Value of property Q022DT00_CALLE_WHERE.

    */

    public Long getQ022DT00_CALLE_WHERE();



    /** Getter for property Q022DT00_POR_CL_POR_WHERE.

    * @return Value of property Q022DT00_POR_CL_POR_WHERE.

    */

    public Long getQ022DT00_POR_CL_POR_WHERE();



    /** Getter for property Q022DT00_BLOQ_WHERE.

    * @return Value of property Q022DT00_BLOQ_WHERE.

    */

    public String getQ022DT00_BLOQ_WHERE();



    /** Getter for property Q022DT00_NUME_WHERE.

    * @return Value of property Q022DT00_NUME_WHERE.

    */

    public Integer getQ022DT00_NUME_WHERE();



    /** Getter for property Q022DT00_BIS_WHERE.

    * @return Value of property Q022DT00_BIS_WHERE.

    */

    public String getQ022DT00_BIS_WHERE();



    /** Getter for property Q022DT00_CDIR_WHERE.

    * @return Value of property Q022DT00_CDIR_WHERE.

    */

    public String getQ022DT00_CDIR_WHERE();



    /** Getter for property Q022DT00_RS_PROMO_WHERE.

    * @return Value of property Q022DT00_RS_PROMO_WHERE.

    */

    public String getQ022DT00_RS_PROMO_WHERE();



    /** Getter for property Q022DT00_CIF_DNI_WHERE.

    * @return Value of property Q022DT00_CIF_DNI_WHERE.

    */

    public String getQ022DT00_CIF_DNI_WHERE();



    /** Getter for property Q022DT00_MUN_PROV_WHERE.

    * @return Value of property Q022DT00_MUN_PROV_WHERE.

    */

    public String getQ022DT00_MUN_PROV_WHERE();



    /** Getter for property Q022DT00_MUN_MUNI_WHERE.

    * @return Value of property Q022DT00_MUN_MUNI_WHERE.

    */

    public String getQ022DT00_MUN_MUNI_WHERE();



    /** Getter for property Q022DT00_ENTI_PRO_WHERE.

    * @return Value of property Q022DT00_ENTI_PRO_WHERE.

    */

    public Long getQ022DT00_ENTI_PRO_WHERE();



    /** Getter for property Q022DT00_TVIA_PRO_WHERE.

    * @return Value of property Q022DT00_TVIA_PRO_WHERE.

    */

    public String getQ022DT00_TVIA_PRO_WHERE();



    /** Getter for property Q022DT00_CALLE_PRO_WHERE.

    * @return Value of property Q022DT00_CALLE_PRO_WHERE.

    */

    public Long getQ022DT00_CALLE_PRO_WHERE();



    /** Getter for property Q022DT00_POR_CL_POR_PRO_WHERE.

    * @return Value of property Q022DT00_POR_CL_POR_PRO_WHERE.

    */

    public Long getQ022DT00_POR_CL_POR_PRO_WHERE();



    /** Getter for property Q022DT00_BLOQ_PRO_WHERE.

    * @return Value of property Q022DT00_BLOQ_PRO_WHERE.

    */

    public String getQ022DT00_BLOQ_PRO_WHERE();



    /** Getter for property Q022DT00_NUME_PRO_WHERE.

    * @return Value of property Q022DT00_NUME_PRO_WHERE.

    */

    public Integer getQ022DT00_NUME_PRO_WHERE();



    /** Getter for property Q022DT00_BIS_PRO_WHERE.

    * @return Value of property Q022DT00_BIS_PRO_WHERE.

    */

    public String getQ022DT00_BIS_PRO_WHERE();



    /** Getter for property Q022DT00_CDIR_PRO_WHERE.

    * @return Value of property Q022DT00_CDIR_PRO_WHERE.

    */

    public String getQ022DT00_CDIR_PRO_WHERE();



    /** Getter for property Q022DT00_TLF_WHERE.

    * @return Value of property Q022DT00_TLF_WHERE.

    */

    public String getQ022DT00_TLF_WHERE();



    /** Getter for property Q022DT00_MAIL_WHERE.

    * @return Value of property Q022DT00_MAIL_WHERE.

    */

    public String getQ022DT00_MAIL_WHERE();



    /** Getter for property Q022DT00_FAX_WHERE.

    * @return Value of property Q022DT00_FAX_WHERE.

    */

    public String getQ022DT00_FAX_WHERE();



    /** Getter for property Q022DT00_WEB_WHERE.

    * @return Value of property Q022DT00_WEB_WHERE.

    */

    public String getQ022DT00_WEB_WHERE();



    /** Getter for property Q022DT00_PRESUPUESTO_WHERE.

    * @return Value of property Q022DT00_PRESUPUESTO_WHERE.

    */

    public Double getQ022DT00_PRESUPUESTO_WHERE();



    /** Getter for property Q022DT00_F_INI_WHERE.

    * @return Value of property Q022DT00_F_INI_WHERE.

    */

    public java.util.Date getQ022DT00_F_INI_WHERE();



    /** Getter for property Q022DT00_F_FIN_WHERE.

    * @return Value of property Q022DT00_F_FIN_WHERE.

    */

    public java.util.Date getQ022DT00_F_FIN_WHERE();



    /** Getter for property Q022DT00_TIPO_OBRA_WHERE.

    * @return Value of property Q022DT00_TIPO_OBRA_WHERE.

    */

    public String getQ022DT00_TIPO_OBRA_WHERE();



    /** Getter for property Q022DT00_USO_RES_WHERE.

    * @return Value of property Q022DT00_USO_RES_WHERE.

    */

    public String getQ022DT00_USO_RES_WHERE();



    /** Getter for property Q022DT00_ACTIVIDAD_WHERE.

    * @return Value of property Q022DT00_ACTIVIDAD_WHERE.

    */

    public String getQ022DT00_ACTIVIDAD_WHERE();



    /** Getter for property Q022DT00_NVN_WHERE.

    * @return Value of property Q022DT00_NVN_WHERE.

    */

    public Integer getQ022DT00_NVN_WHERE();



    /** Getter for property Q022DT00_NVR_WHERE.

    * @return Value of property Q022DT00_NVR_WHERE.

    */

    public Integer getQ022DT00_NVR_WHERE();



    /** Getter for property Q022DT00_NVL_WHERE.

    * @return Value of property Q022DT00_NVL_WHERE.

    */

    public Integer getQ022DT00_NVL_WHERE();



    /** Getter for property Q022DT00_NVVPO_WHERE.

    * @return Value of property Q022DT00_NVVPO_WHERE.

    */

    public Integer getQ022DT00_NVVPO_WHERE();



    /** Getter for property Q022DT00_NVVS_WHERE.

    * @return Value of property Q022DT00_NVVS_WHERE.

    */

    public Integer getQ022DT00_NVVS_WHERE();



    /** Getter for property Q022DT00_NVPOT_WHERE.

    * @return Value of property Q022DT00_NVPOT_WHERE.

    */

    public Integer getQ022DT00_NVPOT_WHERE();



    /** Getter for property Q022DT00_NVALDOT_WHERE.

    * @return Value of property Q022DT00_NVALDOT_WHERE.

    */

    public Integer getQ022DT00_NVALDOT_WHERE();



    /** Getter for property Q022DT00_NVREAL_WHERE.

    * @return Value of property Q022DT00_NVREAL_WHERE.

    */

    public Integer getQ022DT00_NVREAL_WHERE();



    /** Getter for property Q022DT00_NVVTMG_WHERE.

    * @return Value of property Q022DT00_NVVTMG_WHERE.

    */

    public Integer getQ022DT00_NVVTMG_WHERE();



    /** Getter for property Q022DT00_NVVTME_WHERE.

    * @return Value of property Q022DT00_NVVTME_WHERE.

    */

    public Integer getQ022DT00_NVVTME_WHERE();



    /** Getter for property Q022DT00_NTOT_WHERE.

    * @return Value of property Q022DT00_NTOT_WHERE.

    */

    public Integer getQ022DT00_NTOT_WHERE();



    /** Getter for property Q022DT00_NSP45_WHERE.

    * @return Value of property Q022DT00_NSP45_WHERE.

    */

    public Integer getQ022DT00_NSP45_WHERE();



    /** Getter for property Q022DT00_NSP75_WHERE.

    * @return Value of property Q022DT00_NSP75_WHERE.

    */

    public Integer getQ022DT00_NSP75_WHERE();



    /** Getter for property Q022DT00_NSP90_WHERE.

    * @return Value of property Q022DT00_NSP90_WHERE.

    */

    public Integer getQ022DT00_NSP90_WHERE();



    /** Getter for property Q022DT00_NSP120_WHERE.

    * @return Value of property Q022DT00_NSP120_WHERE.

    */

    public Integer getQ022DT00_NSP120_WHERE();



    /** Getter for property Q022DT00_NSPT_WHERE.

    * @return Value of property Q022DT00_NSPT_WHERE.

    */

    public Integer getQ022DT00_NSPT_WHERE();



    /** Getter for property Q022DT00_PRINC_USO_WHERE.

    * @return Value of property Q022DT00_PRINC_USO_WHERE.

    */

    public String getQ022DT00_PRINC_USO_WHERE();



    /** Getter for property Q022DT00_PU_ESPECIF_WHERE.

    * @return Value of property Q022DT00_PU_ESPECIF_WHERE.

    */

    public String getQ022DT00_PU_ESPECIF_WHERE();



    /** Getter for property Q022DT00_PRECIO_MED_WHERE.

    * @return Value of property Q022DT00_PRECIO_MED_WHERE.

    */

    public Double getQ022DT00_PRECIO_MED_WHERE();



    /** Getter for property Q022DT00_OBS_WHERE.

    * @return Value of property Q022DT00_OBS_WHERE.

    */

    public String getQ022DT00_OBS_WHERE();



    /** Getter for property Q022DT00_NORA_T17_LOCALIZACION_WHERE.

    * @return Value of property Q022DT00_NORA_T17_LOCALIZACION_WHERE.

    */

    public String getQ022DT00_NORA_T17_LOCALIZACION_WHERE();



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor);



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase();



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion();



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog();



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor);



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros();



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor);



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy();



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor);



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere();



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere();



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor);



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere();



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor);



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor);



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct();



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor);



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio();



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor);



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal();



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor);



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows();



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor);



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax();



    /** Getter for property conexion.

    * @return Value of property conexion.

    */

    public Connection getConn();



}

